<?php 
	$leftMenu = menu::select( '*', [ 'active' => '0' ], 'num', true);
?>
<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="utf-8">
	<meta http-equiv="content-type" content="text/html;charset=UTF-8" />
    <title><?=$this->title?></title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta content="<?=$this->desc?>" name="description" />
	<meta content="<?=func::seoKey( $this->desc )?>" name="keywords" />
    <meta content="greykoo" name="author" />
	
    <link rel="shortcut icon" href="<?=ADDRESS?>public/images/logo-xs.png" type="image/png">
    <link href="<?=ADDRESS?>public/css/bootstrap.min.css" rel="stylesheet" type="text/css">
    <link href="<?=ADDRESS?>public/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    <link href="<?=ADDRESS?>public/css/dripicons.min.css" rel="stylesheet" type="text/css">
    <link href="<?=ADDRESS?>public/css/animate/animate.css" rel="stylesheet" type="text/css">
    <link href="<?=ADDRESS?>public/css/hover/hover-min.css" rel="stylesheet" type="text/css">
    <link href="<?=ADDRESS?>public/css/styles.css" rel="stylesheet" type="text/css">
	
    <link href="<?=ADDRESS?>public/css/overlay-effects/overlay-effects.css" rel="stylesheet" type="text/css">
    <link href="<?=ADDRESS?>public/css/bootstrap-select/bootstrap-select.min.css" rel="stylesheet" type="text/css">
	
	<script src="<?=ADDRESS?>public/js/jquery-1.11.js"></script>
	<script type="text/javascript" src="<?=ADDRESS?>public/js/vendors/jquery/jquery.min.js"></script>
</head>

<body>
    <div class="wrapper">
        <!--Top Navigation-->
        <nav class="navbar navbar-default navbar-fixed-top main-top-navbar">
            <!--Navbar Brand-->
            <a href="<?=ADDRESS?>" class="navbar-brand hidden-xs hidden-sm"><img alt="Admnistry Logo" src="<?=ADDRESS?>public/img/logo.png"></a>
            <a href="<?=ADDRESS?>" class="navbar-brand visible-xs visible-sm"><img alt="Admnistry Logo" src="<?=ADDRESS?>public/img/logo.png"></a>
            <!--Navbar Brand-->
            <!--Notifications Bar-->
            <ul class="nav navbar-nav navbar-left">
                <li class="dropdown notifications-bar">
                    <button type="button" class="btn dropdown-toggle" data-toggle="dropdown" aria-expanded="true" data-tooltip="tooltip" data-placement="bottom" title="Оповещения">
                        <i class="dripicons-bell"></i><span class="label label-success animated infinite pulse" id="nember_count_notes">0</span>
                    </button>
                    <ul class="dropdown-menu navbar-dropdown-menu" data-dropdown-in="flipInX" data-dropdown-out="flipOutX" role="menu" id="menu_notes">
                    </ul>
                </li>
            </ul>
        
        <!--/Top Navigation-->
		<?php if( isset( $_SESSION['id'] ) ) : ?>
            <ul class="nav navbar-nav navbar-right">
                <li class="dropdown user-menu">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
						<span class="hidden-xs"><?=$this->userData['username'];?>
					</a>
                    <ul class="dropdown-menu dropdown-menu-right launcher-pad" data-dropdown-in="flipInX" data-dropdown-out="flipOutX">
                        <li class="col-xs-4">
							<a class="hvr-pop" href="<?=grey::url('setting');?>"><i class="glyphicon glyphicon-cog"></i>		<span style="font-size: 9px!important;">Настройки</span>
							</a>
                        </li>
                        <li class="col-xs-4">
							<a class="hvr-pop" href="<?=grey::url('history');?>"><i class="glyphicon glyphicon-list"></i>История</a>
                        </li>
                        <li class="col-xs-4">
							<a class="hvr-pop" href="<?=grey::url('log_off');?>"><i class="fa fa-sign-in sign-out"></i>Выйти</a>
                        </li>
                    </ul>
                </li>
            </ul>
		<?php endif; ?>
		</nav>
        <!-- Sidebar Wrapper-->
        <nav class="sidebar-wrapper navbar sidebar">
            <div class="sidebar-inner">
                <ul class="nav" id="side-menu">
				<?php if( is_array( $leftMenu ) ) :  ?>
				<?php for( $i = 0; $i < count( $leftMenu ); $i++ ) : 
						if(filter_var( $leftMenu[$i]['module'], FILTER_VALIDATE_URL)){
							$url = $leftMenu[$i]['module'];
						} else {
							$url = grey::url( $leftMenu[$i]['module'] );
						}
						?>
                    <li rel="tooltip" data-placement="right" data-original-title="<?=$leftMenu[$i]['desc']?>">
                        <a href="<?=$url?>">
							<i class="<?=$leftMenu[$i]['icon']?>"></i>
							<span class="li-text"><?=$leftMenu[$i]['text']?></span>
						</a>
                    </li>
				<?php endfor ?>
				<?php endif ?>
				
				<?php if( !isset( $_SESSION['id'] ) ) : ?>
                    <li rel="tooltip" data-placement="right" data-original-title="Войти">
                        <a href="<?=grey::url('login');?>">
							<i class="fa fa-sign-in  sign-out"></i>
							<span class="li-text">Войти</span>
						</a>
                    </li>
				<?php endif ?>	

				<?php if( isset( $_SESSION['admin'] ) ) : ?>
                    <li>
						<a href="#">
							<i class="dripicons-browser"></i>
							<span class="li-text">Админка</span>
							<span class="fa arrow"></span>
						</a>
                        <ul class="nav nav-second-level">
							<li>
								<a href="<?=grey::url( 'admin');?>">Настройки</a>
							</li>
							<li>
								<a href="<?=grey::url( 'admin/category/section');?>">Категории</a>
							</li>
							<li>
								<a href="<?=grey::url( 'admin/category');?>">Продукты</a>
							</li>
							<li>
								<a href="<?=grey::url( 'admin/users');?>">Пользователи</a>
							</li>
							<li>
								<a href="<?=grey::url( 'admin/orders');?>">Счета</a>
							</li>
							<li>
								<a href="<?=grey::url( 'admin/menu');?>">Редактировать меню</a>
							</li>
                        </ul>
                    </li>
				<?php endif ?>
                </ul>

            </div>
        </nav>
        <!-- /#sidebar-wrapper -->

        <!-- Page Content -->
        <div class="page-content-wrapper">
			<?=$this->msg()?>
			
			<?=self::$getMenu?>
			<?=$middle?>
        </div>
        <!--/Page Content -->
    </div>
    <!-- /#wrapper -->
	
	

    <!--Scripts-->
	<script>
		function get_msg( msg, tupe ) {
			$('#msg_go').attr( 'data-message', '<i class="fa fa-info-circle" style="color:#00A2D9;padding-right:8px"></i> ' + msg);
			$('#msg_go').attr( 'data-type', 'info' );
			$('#msg_go').trigger('click');

		}
		
		$(function () {
		  $('[data-toggle="tooltip"]').tooltip()
		})
	
		setInterval( getAlert, 30000 )
		
		<?php if( isset( $_SESSION['admin'] ) ) : ?>
		function getAlert() {
			
			$.ajax(
			{
				url: '<?=ADDRESS?>ajax/portal/get_new_comments.php',
				type: 'GET',
				success: function( data )
				{
					if( data.status == 200 ) {
						$( "#nember_count_notes" ).html(data.count);
						$( "#menu_notes" ).html(data.html);
						$( "#menu_notes" ).effect( "highlight", {}, 1000 );
						return ;					
					}
					
				},
				dataType: "json"
			});
		}
		<?php else : ?>
		function getAlert() {
			
			$.ajax(
			{
				url: '<?=ADDRESS?>ajax/note/note.php',
				type: 'GET',
				success: function( data )
				{
					if( data.status == 200 ) {
						$( "#nember_count_notes" ).html(data.count);
						$( "#menu_notes" ).html(data.html);
						$( "#menu_notes" ).effect( "highlight", {}, 1000 );
						return ;					
					}
					
				},
				dataType: "json"
			});
		}
		<?php endif; ?>

	</script>


    <!--Scripts-->
    <!--Main - Used on every Administry page-->
    <!--jQuery and jQuery UI-->
    
    <script type="text/javascript" src="<?=ADDRESS?>public/js/vendors/jquery/jquery-ui.min.js"></script>
    <!--BootStrap-->
    <script type="text/javascript" src="<?=ADDRESS?>public/js/vendors/bootstrap/bootstrap.min.js"></script>
    <!--Widgets-->
    <script type="text/javascript" src="<?=ADDRESS?>public/js/vendors/oakenwidgets/jquery.oakenwidgets.min.js"></script>
    <!--Metis Menu-->
    <script type="text/javascript" src="<?=ADDRESS?>public/js/vendors/metismenu/metisMenu.min.js"></script>
    <!--Sparkline Charts-->
    <script type="text/javascript" src="<?=ADDRESS?>public/js/vendors/sparkline/jquery.sparkline.min.js"></script>
    <!--Nicescroller-->
    <!--Will be removed with next release <script type="text/javascript" src="<?=ADDRESS?>public/js/vendors/nicescroll/jquery.nicescroll.min.js"></script> -->
    <!--Modal Animation-->
    <script type="text/javascript" src="<?=ADDRESS?>public/js/vendors/bootstrap-modal-animation/animation.js"></script>
    <!--MomentJS-->
    <script type="text/javascript" src="<?=ADDRESS?>public/js/vendors/moment/moment.min.js"></script>
    <!--/Main - Used on every Administry page-->

    <!--Secondary - used only on that page-->
    <!--Vector Map-->
    <script type="text/javascript" src="<?=ADDRESS?>public/js/vendors/vmap/jquery.vmap.min.js"></script>
    <script type="text/javascript" src="<?=ADDRESS?>public/js/vendors/vmap/jquery.vmap.sampledata.js"></script>
    <script type="text/javascript" src="<?=ADDRESS?>public/js/vendors/vmap/jquery.vmap.world.js"></script>

    <!--FlotChart-->
    <script type="text/javascript" src="<?=ADDRESS?>public/js/vendors/flotchart/jquery.flot.min.js"></script>
    <script type="text/javascript" src="<?=ADDRESS?>public/js/vendors/flotchart/jquery.flot.resize.min.js"></script>
    <script type="text/javascript" src="<?=ADDRESS?>public/js/vendors/flotchart/jquery.flot-tooltip.js"></script>
    <script type="text/javascript" src="<?=ADDRESS?>public/js/vendors/flotchart/flotchart-examples.js"></script>

    <!--Main App-->
    <script type="text/javascript" src="<?=ADDRESS?>public/js/scripts.js"></script>

    <!--Sparkline Charts-->
    <script type="text/javascript" src="<?=ADDRESS?>public/js/vendors/sparkline/sparklines-examples.js"></script>
    <!--/Scripts-->
	
	<script type="text/javascript" src="<?=ADDRESS?>public/js/vendors/images-loaded/imagesloaded.pkgd.min.js"></script>
	<script type="text/javascript" src="<?=ADDRESS?>public/js/vendors/isotope/isotope.pkgd.min.js"></script>
	<script src="<?=ADDRESS?>public/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>


    <!--jQuery Zoom-->
    <script type="text/javascript" src="<?=ADDRESS?>public/js/vendors/zoom/jquery.zoom.min.js"></script>
    <script>
        $('.item')
            .zoom({});

    </script>
</body>
</html>
