<?php 
	$leftMenu = menu::select( '*', [ 'active' => '0' ], 'num', true);
?>
<!DOCTYPE html>
<html class="no-js sidebar-large"> <!--<![endif]-->
<head>
    <!-- BEGIN META SECTION -->
    <meta charset="utf-8">
	<meta http-equiv="content-type" content="text/html;charset=UTF-8" />
    <title><?=$this->title?></title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta content="<?=$this->desc?>" name="description" />
	<meta content="<?=func::seoKey( $this->desc )?>" name="keywords" />
    <meta content="greykoo" name="author" />
    <!-- END META SECTION -->
    <!-- BEGIN MANDATORY STYLE -->
    <link href="<?=ADDRESS?>public/css/icons/icons.min.css" rel="stylesheet">
    <link href="<?=ADDRESS?>public/css/bootstrap.min.css" rel="stylesheet">
    <link href="<?=ADDRESS?>public/css/plugins.min.css" rel="stylesheet">
    <link href="<?=ADDRESS?>public/css/style.min.css" rel="stylesheet">
	
    <link href="<?=ADDRESS?>public/plugins/font-awesome-animation/font-awesome-animation.min.css" rel="stylesheet">
	<link rel="stylesheet" href="<?=ADDRESS?>public/plugins/metrojs/metrojs.css">
    <!-- END  MANDATORY STYLE -->
	<script src="<?=ADDRESS?>public/plugins/modernizr/modernizr-2.6.2-respond-1.1.0.min.js"></script>
	<script src="<?=ADDRESS?>public/plugins/jquery-1.11.js"></script>
</head>

<body data-page="icons">
    <!-- BEGIN TOP MENU -->
    <nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
        <div class="container-fluid">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#sidebar">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a id="menu-medium" class="sidebar-toggle tooltips">
                    <i class="fa fa-outdent"></i>
                </a>
                <a class="navbar-brand" href="<?=ADDRESS?>">
                    <img src="<?=ADDRESS?>public/img/logo.png" alt="logo" width="79" height="26">
                </a>
            </div>
            <div class="navbar-center"><?=$this->title?></div>
			
			<?php if( isset( $_SESSION['id'] ) ) : ?>
				<ul class="nav navbar-nav pull-right header-menu">
					<!-- BEGIN NOTIFICATION DROPDOWN -->
					<li class="dropdown" id="notifications-header">
						<a title="" class="dropdown-toggle" href="#" data-original-title="" data-toggle="dropdown" data-close-others="true" data-hover="dropdown">
							<i class="glyph-icon flaticon-notifications"></i>
							<span class="badge badge-danger badge-header" id="nember_count_notes">0</span>
						</a>
						<ul class="dropdown-menu">
							<li class="dropdown-header clearfix">
								<p class="pull-left">Оповещения</p>
							</li>
							<li>
								<ul id="menu_notes" class="dropdown-menu-list withScroll mCustomScrollbar _mCS_1" style="height: 220px;" data-height="220">
								</ul>
							</li>
						</ul>
					</li>
					<!-- END MESSAGES DROPDOWN -->
				</ul>
				
				<?php endif; ?>
        </div>
    </nav>
	
    <div id="wrapper">
        <!-- BEGIN MAIN SIDEBAR -->
        <nav id="sidebar">
			<br/>
            <div id="main-menu">
                <ul class="sidebar-nav">
				<?php if( is_array( $leftMenu ) ) :  ?>
				<?php for( $i = 0; $i < count( $leftMenu ); $i++ ) : 
						if(filter_var( $leftMenu[$i]['module'], FILTER_VALIDATE_URL)){
							$url = $leftMenu[$i]['module'];
						} else {
							$url = grey::url( $leftMenu[$i]['module'] );
						}
						?>
                    <li rel="tooltip" data-placement="right" data-original-title="<?=$leftMenu[$i]['desc']?>">
                        <a href="<?=$url?>">
							<i class="<?=$leftMenu[$i]['icon']?>"></i>
							<span class="sidebar-text"><?=$leftMenu[$i]['text']?></span>
						</a>
                    </li>
				<?php endfor ?>
				<?php endif ?>
				
				<?php if( !isset( $_SESSION['id'] ) ) : ?>
                    <li rel="tooltip" data-placement="right" data-original-title="Войти">
                        <a href="<?=grey::url('login');?>">
							<i class="fa fa-sign-in  sign-out"></i>
							<span class="sidebar-text">Войти</span>
						</a>
                    </li>
				<?php endif ?>	
					
				<?php if( isset( $_SESSION['admin'] ) ) : ?>
					<li class="m-b-245">
						<a href="#">
							<i class="fa fa-table"></i>
							<span class="sidebar-text">Админка</span>
							<span class="fa arrow"></span>
						</a>
						<ul class="submenu collapse">
							<li class="list-group-item">
								<a href="<?=grey::url( 'admin');?>">Настройки</a>
							</li>
							<li class="list-group-item">
								<a href="<?=grey::url( 'admin/category');?>">Категории/ключи</a>
							</li>
							<li class="list-group-item">
								<a href="<?=grey::url( 'admin/portal');?>">Портал</a>
							</li>
							<li class="list-group-item">
								<a href="<?=grey::url( 'admin/users');?>">Пользователи</a>
							</li>
							<li class="list-group-item">
								<a href="<?=grey::url( 'admin/orders');?>">Счета</a>
							</li>
							<li class="list-group-item">
								<a href="<?=grey::url( 'admin/menu');?>">Редактировать меню</a>
							</li>
						</ul>
					</li>
					<?php endif ?>
                </ul>
				

            </div>
			
			<?php if( isset( $_SESSION['id'] ) ) : ?>
            <div class="footer-widget">
                <img src="<?=ADDRESS?>public/img/gradient.png" alt="gradient effet" class="sidebar-gradient-img" /> 
				
				<div id="sidebar-charts">
                    <div class="sidebar-charts-inner">
						<a href="<?=grey::url( 'balans' )?>" class="dropdown-toggle" title="Всего денег, пополнить баланс">
							<div class="sidebar-charts-left">
								<div class="sidebar-chart-title">Привет</div>
								<div class="sidebar-chart-number">
									<?=$this->userData['username']?>
								</div>
							</div>
                        </a>
                    </div>
                    <hr class="divider">
                </div>
                <div class="sidebar-footer clearfix">
                    <a class="pull-left" href="<?=grey::url( 'setting' )?>" rel="tooltip" data-placement="top" data-original-title="Настройки">
						<i class="glyph-icon flaticon-settings21"></i>
					</a>
                    <a class="pull-left" href="<?=grey::url( 'history' )?>" rel="tooltip" data-placement="top" data-original-title="История">
						<i class="fa fa-rub"></i>
					</a>
                    <a class="pull-left" href="<?=grey::url( 'log_off' )?>" rel="tooltip" data-placement="top" data-original-title="Выйти">
						<i class="fa fa-power-off"></i>
					</a>
					
                </div> 
            </div>
			<?php endif ?>
        </nav>
        <!-- END MAIN SIDEBAR -->

        <!-- BEGIN MAIN CONTENT -->
        <div id="main-content" class="icons-panel">
			<div id="msg_go" type="button" data-type="info" class="msg_go notification" data-horiz-pos="right" data-verti-pos="bottom"></div>
			
			<div class="row">
				<div class="panel panel-default index_page">
					<div class="panel-body">
						<?=$this->msg()?>
						
						<?=self::$getMenu?>
						<?=$middle?>
					</div>
				</div>
			</div>
			<a href="//www.free-kassa.ru/"><img src="//www.free-kassa.ru/img/fk_btn/15.png"></a>
		</div>
		<!-- END MAIN CONTENT -->

    </div>
    <!-- END WRAPPER -->
    <!-- BEGIN MANDATORY SCRIPTS -->

	<script>
		function get_msg( msg, tupe ) {
			$('#msg_go').attr( 'data-message', '<i class="fa fa-info-circle" style="color:#00A2D9;padding-right:8px"></i> ' + msg);
			$('#msg_go').attr( 'data-type', 'info' );
			$('#msg_go').trigger('click');

		}
		
		$(function () {
		  $('[data-toggle="tooltip"]').tooltip()
		})
	
		setInterval( getAlert, 10000 )
		
		
		function getAlert() {
			
			$.ajax(
			{
				url: '<?=ADDRESS?>ajax/portal/get_new_comments.php',
				type: 'GET',
				success: function( data )
				{
					if( data.status == 200 ) {
						$( "#nember_count_notes" ).html(data.count);
						$( "#menu_notes" ).html(data.html);
						$( "#menu_notes" ).effect( "highlight", {}, 1000 );
						customScroll()	
						return ;					
					}
					
				},
				dataType: "json"
			});
		}

	</script>
	<script src="<?=ADDRESS?>public/plugins/metrojs/metrojs.min.js"></script>
    <script src="<?=ADDRESS?>public/plugins/jquery-ui/jquery-ui-1.10.4.min.js"></script>
    <script src="<?=ADDRESS?>public/plugins/bootstrap/bootstrap.min.js"></script>
   <!-- <script src="<?=ADDRESS?>public/plugins/bootstrap-select/bootstrap-select.js"></script>-->
	
    <script src="<?=ADDRESS?>public/plugins/mcustom-scrollbar/jquery.mCustomScrollbar.concat.min.js"></script>
    <script src="<?=ADDRESS?>public/plugins/mmenu/js/jquery.mmenu.min.all.js"></script>
    <script src="<?=ADDRESS?>public/plugins/nprogress/nprogress.js"></script>
    <script src="<?=ADDRESS?>public/plugins/charts-sparkline/sparkline.min.js"></script>
    <script src="<?=ADDRESS?>public/plugins/breakpoints/breakpoints.js"></script>
    <script src="<?=ADDRESS?>public/plugins/numerator/jquery-numerator.js"></script>
    <!-- END MANDATORY SCRIPTS -->
    <!-- BEGIN PAGE LEVEL SCRIPTS -->
    <script src="<?=ADDRESS?>public/plugins/quicksearch/jquery.quicksearch.js"></script>
    <script src="<?=ADDRESS?>public/js/icons.js"></script>

    <script src="<?=ADDRESS?>public/js/jNotify.jquery.min.js"></script>
    <script src="<?=ADDRESS?>public/js/notifications.js"></script>
    <script src="<?=ADDRESS?>public/js/application.js"></script>
	
	<script src="<?=ADDRESS?>public/plugins/bootstrap-switch/bootstrap-switch.js"></script>
	
    <script src="<?=ADDRESS?>public/plugins/mandatoryJs.min.js"></script>

</body>
</html>