<?php	
	error_reporting(0);
	require_once "conf/config.php";
	require_once "conf/unitpay_conf.php";
	require_once "lib/modules_class.php"; 
	set_include_path( get_include_path() . PATH_SEPARATOR . "lib/mysql" . PATH_SEPARATOR . "lib/tables" . PATH_SEPARATOR . "lib/function" );
	spl_autoload_extensions("_class.php");
	spl_autoload_register(); 
	grey::run();
 
	
	
    function verifySignature($params, $method)
    {
        return $params['signature'] == getSignature($method, $params, grey::$stg['SecretKey'] );
    }
	
    function getSignature($method, array $params, $secretKey)
    {
        ksort($params);
        unset($params['sign']);
        unset($params['signature']);
        array_push($params, $secretKey);
        array_unshift($params, $method);
        return hash('sha256', join('{up}', $params));
    }

	
    function hardReturnJson( $arr )
    {
        header('Content-Type: application/json');
        $result = json_encode($arr);
        die($result);
    }
	
    function payment_php( $data ){
        $method = '';
        $params = array();
        if ((isset($data['params'])) && (isset($data['method'])) && (isset($data['params']['signature']))){
            $params = $data['params'];
            $method = $data['method'];
            $signature = $params['signature'];
            if (empty($signature)){
                $status_sign = false;
            }else{
                $status_sign = verifySignature($params, $method);
            }
        }else{
            $status_sign = false;
        }
//    $status_sign = true;
        if ($status_sign){
            switch ($method) {
                case 'check':
                    $result = check( $params );
                    break;
                case 'pay':
                    $result = pay( $params );
                    break;
                case 'error':
                    $result = error( $params );
                    break;
                default:
                    $result = array('error' =>
                        array('message' => 'Wrong method')
                    );
                    break;
            }
        }else{
            $result = array('error' =>
                array('message' => 'Wrong signature')
            );
        }
        hardReturnJson($result);
    }
	
    function check( $params )
    {
		$result = array('result' =>
			array('message' => 'Successful request')
		);
        return $result;
    }
	
    function pay( $params )
    {
        $order_id = (int) $params['account'];
        $out_summ = (int) $params['sum'];
		
		$orders = order::select( '*', [ 'id' => $order_id ] );
		
		$orders = $orders[0];
		
		if( !is_array( $orders ) ) {
			
			$result = array('result' =>
				array('error' => 'Error: нету такого заказа')
			);
			return $result;
		}
		
		$status = ords::go( $orders, $order_id );
		/*
			Всё хорошо
		*/
		$result = array('result' =>
			array('message' => 'Successful request')
		);
        return $result;
    }
	
    function error( $params )
    {
        $order_id = (int) $params['account'];
		/*
		Ошибка
		*/
		
        $result = array('result' =>
            array('message' => 'Successful request')
        );
        return $result;
    }
	
	payment_php($_REQUEST);
